1. tarheelwes's Avatar
    I was just given a new, out of the box 3GS....it has the 4.0.2 software and the older 5.13.04 boot. I understand from the guide that has been "stickied" in the jailbreak forum that the 3GS with the old boot and 4.02 is not jailbreakable or unlockable....So, my question is, can I downgrade to 4.01 and jailbreak and unlock.

    And, if so, can someone please tell me how, step by step, or is there a guide that I can follow?

    Thank you all.
    2010-10-07 03:55 AM
  2. Rancob's Avatar
    That's exactly wat I'm trying to figure out but f u hear anything tell me and I'll do the same for u k?
    2010-10-07 04:04 AM
  3. iYeow's Avatar
    Both of you guys can do this :
    Download tiny umbrella version 4.1.4
    Plug your iphone in
    Run TU , click Advanced Tab
    Device/Version : Select your device 4.0.1 shsh blogs, 3g and 3gs are diff.
    Request : Cydia.
    Click Save Shsh
    Wait for answere : If Yes, then you can downgrade, if No, then you already know the answer.

    Edit : You can also select 4.1 shsh blogs , request Cydia , click Save shsh, Now you have 4.1 shsh saved with Cydia for future restore.
    Last edited by iYeow; 2010-10-07 at 04:19 AM.
    2010-10-07 04:14 AM
  4. i.Annie's Avatar
    Yes, the guide specifies which devices require SHSHs. If your device requires it (I'm assuming it does as you said 3GS) then the method Yeow gave is a way to check if you have the SHSHs. If TU says it was not able to detect the SHSHs for your device for 4.0.1, then like Yeow said, you can't downgrade to jb.
    2010-10-07 04:17 AM
  5. Rancob's Avatar
    Thanks but I have no clue what ur saying but my touch is 2g 8 gig(it is old) but if u can have me click on a link that would be great
    2010-10-07 04:19 AM
  6. iYeow's Avatar
    Thanks but I have no clue what ur saying but my touch is 2g 8 gig(it is old) but if u can have me click on a link that would be great
    OIC, it is all your fault, you didn't mention your idevice..LOL

    Give me some detail of what firmware and what do you want to downgrade, is it MB or MC model.
    2010-10-07 04:22 AM
  7. Rancob's Avatar
    So wait does it not wrk with 2g anyways so am I done there's no way
    2010-10-07 04:25 AM
  8. i.Annie's Avatar
    Oh, I was talking to the OP. 2G MC models need SHSHs to downgrade. MB models don't. Specify which model first

    Is it an MB or MC model
    Last edited by i.Annie; 2010-10-07 at 04:31 AM. Reason: Automerged Doublepost
    2010-10-07 04:31 AM
  9. iYeow's Avatar
    Annie, i think even MB model need soft shsh blogs to downgrade to stock, the only difference between MB and MC model is MB model can use custom firmware.
    2010-10-07 04:36 AM
  10. i.Annie's Avatar
    It's supposed to be able to downgrade. Think it's been proven wrong tho :/
    2010-10-07 04:48 AM
  11. iYeow's Avatar
    So wait does it not wrk with 2g anyways so am I done there's no way
    Alright, we will test drive your itouch 2G to 3.1.2.. do you want to do it ? Here is what you do :

    Download your itouch 2g 3.1.2 ipsw
    Put your itouch to DFU mode
    Do the Shift + Restore to 3.1.2 ipsw.
    If you get ineligible for the required built or error 3194, then you will need shsh blogs.
    2010-10-07 04:52 AM
  12. i.Annie's Avatar
    I think I'll test this on my iPT 2G. I only have SHSHs for 4.0.1 on it so I'm gonna try to bring it down to 3.1.3 just for kicks
    2010-10-07 04:56 AM
  13. iYeow's Avatar
    Let me know.. thanks.
    2010-10-07 05:06 AM
  14. i.Annie's Avatar
    Will do, could take till tomorrow I have to download my firmwares
    2010-10-07 05:33 AM
  15. tarheelwes's Avatar
    I'm the OP..(and, annie, you've been helping me with my 3G on another thread, thanks)..

    as for this post. This 3gs is out of the box from the store....so, would i have SHSH's that could be recovered?

    Do i have any options?
    2010-10-07 06:34 AM
  16. eyeRobot's Avatar
    If you don't have SHSH then there's no chance of downgrading. Double check that you don't have them in tiny umbrella as per Yeow's post. There's a chance it's a refurb model, then you may have SHSH.

    I don't fancy your chances though.
    2010-10-07 06:44 AM
  17. Mszotaibi's Avatar
    Hi I have ً3GS(4.0.2) how I can downgread it to (4.0.1)
    Please help me
    2010-10-07 01:05 PM
  18. eyeRobot's Avatar
    You need SHSH blobs on file with Cydia. Download tinyumbrella to see what you've got. Go to advanced options and try to save SHSH from Cydia for 4.0.1

    If it says you're too late and there's nothing you can do then it's not lying. You will need to wait for a new tool

    If the SHSH is available then that's a different story. Let us know!
    2010-10-07 01:13 PM
  19. Mszotaibi's Avatar
    Thank you for quick response
    It said"too late"
    What is the next step
    2010-10-07 01:31 PM
  20. eyeRobot's Avatar
    Thank you for quick response
    It said"too late"
    What is the next step
    Next step is to wait for a couple of weeks.
    2010-10-07 01:40 PM
22 12
LINK TO POST COPIED TO CLIPBOARD